body {
  font-family: Arial, sans-serif;
  margin: 0;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 100vh;
  /*background-image: url('/images/background.jpg'); /* Değişiklik: Arka plan resmi ekleniyor */
  background-size: cover;
  /* Değişiklik: Arka plan resmi sayfayı kaplayacak şekilde ayarlanıyor */
  background-position: center;
  /* Değişiklik: Arka plan resminin ortalandığı belirtiliyor */
  background-image: var(--bg-imageBg);
  position: relative;
  flex-direction: column;
  /* Değişiklik: container'ı dikey olarak düzenle */
}

:root {
  background: var(--bg-color);
  --bg-color: #183253;
  --bg-imageBg: url("../../images/girisBg_koyuMavi.svg");
  --bg-textColor: #ffffff;
  --bg-formBgColor: #8d9fb5;
}

:root.koyu_mavi {
  background: var(--bg-color);
  --bg-color: #183253;
  --bg-imageBg: url("../../images/girisBg_koyuMavi.svg");
  --bg-textColor: #ffffff;
  --bg-formBgColor: #8d9fb5;
}

:root.acik_mavi {
  background: var(--bg-color);
  --bg-color: #c4d7ed;
  --bg-imageBg: url("../../images/girisBg_acikMavi.svg");
  --bg-textColor: #000000;
  --bg-formBgColor: #ecf5ff;
}

:root.kirmizi {
  background: var(--bg-color);
  --bg-color: #edc5c4;
  --bg-imageBg: url("../../images/girisBg_kirmizi.svg");
  --bg-textColor: #000000;
  --bg-formBgColor: #cfa4a3;
}

:root.mor {
  background: var(--bg-color);
  --bg-color: #e0c4ed;
  --bg-imageBg: url("../../images/girisBg_mor.svg");
  --bg-textColor: #000000;
  --bg-formBgColor: #faf0ff;
}

:root.gri {
  background: var(--bg-color);
  --bg-color: #ebebeb;
  --bg-imageBg: url("../../images/girisBg_gri.svg");
  --bg-textColor: #000000;
  --bg-formBgColor: #c4c4c4;
}

:root.siyah {
  background: var(--bg-color);
  --bg-color: #000000;
  --bg-imageBg: url("../../images/girisBg_siyah.svg");
  --bg-textColor: #ffffff;
  --bg-formBgColor: #afafaf;
}

:root.koyu_yesil {
  background: var(--bg-color);
  --bg-color: #0f3b2b;
  --bg-imageBg: url("../../images/girisBg_koyuYesil.svg");
  --bg-textColor: #ffffff;
  --bg-formBgColor: #7c968c;
}

:root.acik_yesil {
  background: var(--bg-color);
  --bg-color: #c6f4d6;
  --bg-imageBg: url("../../images/girisBg_acikYesil.svg");
  --bg-textColor: #000000;
  --bg-formBgColor: #86b195;
}

:root.kahverengi {
  background: var(--bg-color);
  --bg-color: #6d4c41;
  --bg-imageBg: url("../../images/girisBg_kahverengi.svg");
  --bg-textColor: #ffffff;
  --bg-formBgColor: #a48b82;
}

#uygulamaAdi {
  font-family: Arial, Helvetica, sans-serif, sans-serif;
  font-size: 27pt;
  color: var(--bg-textColor);
  text-align: center;
  outline: 0px solid #000000;
  margin-top: 20px;
  /* Değişiklik: Uygulama adı için üst boşluk eklendi */
  text-shadow: 0 1px 1px rgba(0, 0, 0, 0.11), 0 2px 2px rgba(0, 0, 0, 0.11), 0 4px 4px rgba(0, 0, 0, 0.11), 0 8px 8px rgba(0, 0, 0, 0.11), 0 16px 16px rgba(0, 0, 0, 0.11), 0 32px 32px rgba(0, 0, 0, 0.11);
}

.background {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 10000;
}

svg {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}

.layer1 {
  fill: #1b2b50;
  /* birinci path rengi */
  opacity: 0.8;
}

.layer2 {
  fill: #274472;
  /* ikinci path rengi */
  opacity: 0.7;
}



.container {
  display: flex;
}


.form-container {
  color: white;
  border: 1px solid #cdcdcd21;
  backdrop-filter: blur(15px);
  width: 218px;
  margin: 20px;
  padding: 20px;
  background-color: #9e9e9e38;
  border-radius: 8px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.11), 0 2px 2px rgba(0, 0, 0, 0.11), 0 4px 4px rgba(0, 0, 0, 0.11), 0 8px 8px rgba(0, 0, 0, 0.11), 0 16px 16px rgba(0, 0, 0, 0.11), 0 32px 32px rgba(0, 0, 0, 0.11);
}

form {
  display: flex;
  flex-direction: column;
}

label {
  margin-bottom: 8px;
}

input {
  padding: 8px;
  margin-bottom: 16px;
  border: 1px solid #000000;
  border-radius: 5px;
  background-color: #d4e7ff;
}

.form-container-buton {
  display: flex;
  justify-content: center;
}

.buttonlogin {
  margin-right: 5px;
  width: 80px;
  background-color: #45a049;
  color: #fff;
}

.buttonkaydol {
  margin-right: 0px;
  width: 65px;
  background-color: #385575;
  color: #fff;
}

.buttonpanel {
  margin-left: 5px;
  width: 53px;
  background-color: #484949;
  color: #fff;
}

button {
  padding: 10px;
  color: #fff;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  margin-bottom: 10px;
}

button:hover {
  background-color: #327335;
  opacity: 0.8;
}

#login-message {
  margin-top: 3px;
  padding-bottom: 20px;
  color: var(--bg-textColor);
  height: 10px;
  text-align: center;
}

#baslik {
  align-items: center;
  /* Değişiklik: container'ı dikey olarak ortala */
  text-align: center;
  top: -20px;
  position: relative;
  border: 0px solid #000000;
  padding: 5px;
  z-index: 1;
  font-family: Verdana, Geneva, sans-serif;
  font-size: 27pt;
  color: #ffffff;
  text-align: center;
  outline: 0px solid #000000;
}



@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}


@-webkit-keyframes rotate {
  from {
    -webkit-transform: rotate(0deg);
  }

  to {
    -webkit-transform: rotate(360deg);
  }
}

.load {
  position: relative;
  top: 75%;
  display: none;
  width: 20px;
  height: 20px;
  transform: translate(-50%, 50%);
  margin-bottom: 3px;

  margin: 0px auto 0;
  border: solid 3px #8822aa;
  border-radius: 50%;
  border-right-color: transparent;
  border-bottom-color: transparent;
  -webkit-transition: all 0.5s ease-in;
  -webkit-animation-name: rotate;
  -webkit-animation-duration: 1.0s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
  transition: all 0.5s ease-in;
  animation-name: rotate;
  animation-duration: 1.0s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

.password-container {
  position: relative;
  display: flex;
  align-items: center;
}

#login-password {
  flex: 1;
}

.toggle-password {
  background-color: #ffffff00;
  display: flex;
  height: 29px;
  width: 30px;
  margin-bottom: 16px;
  position: absolute;
  right: 2px;
  border: none;
  cursor: pointer;
  font-size: 16px;
  justify-content: center;
  align-items: center;
}

svg {
  width: 100%;
  height: 100%;
  position: absolute;
  top: 0;
  left: 0;
  pointer-events: none;
}

.layer1 {
  fill: #1b2b50;
  /* birinci path rengi */
  opacity: 0.8;
}

.layer2 {
  fill: #274472;
  /* ikinci path rengi */
  opacity: 0.7;
}



.container {
  display: flex;
}


.form-container {
  color: white;
  border: 1px solid #cdcdcd21;
  backdrop-filter: blur(15px);
  width: 218px;
  margin: 20px;
  padding: 20px;
  background-color: #9e9e9e38;
  border-radius: 8px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.11), 0 2px 2px rgba(0, 0, 0, 0.11), 0 4px 4px rgba(0, 0, 0, 0.11), 0 8px 8px rgba(0, 0, 0, 0.11), 0 16px 16px rgba(0, 0, 0, 0.11), 0 32px 32px rgba(0, 0, 0, 0.11);
}

form {
  display: flex;
  flex-direction: column;
}

label {
  margin-bottom: 8px;
}

input {
  padding: 8px;
  margin-bottom: 16px;
  border: 1px solid #000000;
  border-radius: 5px;
  background-color: #d4e7ff;
}

.form-container-buton {
  display: flex;
  justify-content: center;
}

.buttonlogin {
  margin-right: 5px;
  width: 80px;
  background-color: #45a049;
  color: #fff;
}

.buttonkaydol {
  margin-right: 0px;
  width: 65px;
  background-color: #385575;
  color: #fff;
}

.buttonpanel {
  margin-left: 5px;
  width: 53px;
  background-color: #484949;
  color: #fff;
}

button {
  padding: 10px;
  color: #fff;
  border: none;
  cursor: pointer;
  border-radius: 4px;
  margin-bottom: 10px;
}

button:hover {
  background-color: #327335;
  opacity: 0.8;
}

#login-message {
  margin-top: 3px;
  padding-bottom: 20px;
  color: var(--bg-textColor);
  height: 10px;
  text-align: center;
}

#baslik {
  align-items: center;
  /* Değişiklik: container'ı dikey olarak ortala */
  text-align: center;
  top: -20px;
  position: relative;
  border: 0px solid #000000;
  padding: 5px;
  z-index: 1;
  font-family: Verdana, Geneva, sans-serif;
  font-size: 27pt;
  color: #ffffff;
  text-align: center;
  outline: 0px solid #000000;
}



@keyframes rotate {
  from {
    transform: rotate(0deg);
  }

  to {
    transform: rotate(360deg);
  }
}


@-webkit-keyframes rotate {
  from {
    -webkit-transform: rotate(0deg);
  }

  to {
    -webkit-transform: rotate(360deg);
  }
}

.load {
  position: relative;
  top: 75%;
  display: none;
  width: 20px;
  height: 20px;
  transform: translate(-50%, 50%);
  margin-bottom: 3px;

  margin: 0px auto 0;
  border: solid 3px #8822aa;
  border-radius: 50%;
  border-right-color: transparent;
  border-bottom-color: transparent;
  -webkit-transition: all 0.5s ease-in;
  -webkit-animation-name: rotate;
  -webkit-animation-duration: 1.0s;
  -webkit-animation-iteration-count: infinite;
  -webkit-animation-timing-function: linear;
  transition: all 0.5s ease-in;
  animation-name: rotate;
  animation-duration: 1.0s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

.password-container {
  position: relative;
  display: flex;
  align-items: center;
}

#login-password {
  flex: 1;
}

.toggle-password {
  background-color: #ffffff00;
  display: flex;
  height: 29px;
  width: 30px;
  margin-bottom: 16px;
  position: absolute;
  right: 2px;
  border: none;
  cursor: pointer;
  font-size: 16px;
  justify-content: center;
  align-items: center;
}

.toggle-password:hover {
  background-color: #ffffff00;
  opacity: 0.8;
}

.monuloading_logoImg {
  border-radius: 50%;
  /*box-shadow: 0 1px 1px rgba(0, 0, 0, 0.11), 0 2px 2px rgba(0, 0, 0, 0.11), 0 4px 4px rgba(0, 0, 0, 0.11), 0 8px 8px rgba(0, 0, 0, 0.11), 0 16px 16px rgba(0, 0, 0, 0.11), 0 32px 32px rgba(0, 0, 0, 0.11);*/
  object-fit: cover;
}

.forgot-password-container {
  text-align: center;
  margin-top: 0px;
  margin-bottom: 0px;
}

.forgot-password-link {
  text-align: center;
  color: #fff;
  text-decoration: none;
  font-size: 0.9em;
}

.forgot-password-link:hover {
  text-decoration: underline;
  opacity: 0.8;
}

#login-message {
  position: fixed !important;
  bottom: 10px !important;
  background-color: rgba(0, 0, 0, 0.7) !important;
  -webkit-backdrop-filter: blur(10px) !important;
  backdrop-filter: blur(10px) !important;
  padding: 20px !important;
  border-radius: 10px !important;
  color: white !important;
  z-index: 99999 !important;
  text-align: center !important;
  min-width: 250px !important;
  box-shadow: 0 4px 15px rgba(0, 0, 0, 0.5) !important;
  display: none;
  height: auto !important;
  margin: 0 !important;
  font-size: 16px !important;
  font-weight: bold !important;
}

#login-message:not(:empty) {
  display: flex !important;
  flex-wrap: nowrap;
  justify-content: center;
}

@keyframes fadeIn {
  from {
    opacity: 0;
    transform: translate(-50%, -60%);
  }

  to {
    opacity: 1;
    transform: translate(-50%, -50%);
  }
}